=== debian/control ===
Source: ros-iron-topic-tools
Section: misc
Priority: optional
Maintainer: Emerson Knapp <me@emersonknapp.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-auto, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rosidl-default-generators, ros-iron-topic-tools-interfaces, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rclpy, ros-iron-ros2cli, ros-iron-rosidl-runtime-py, ros-iron-topic-tools-interfaces, ros-iron-ros-workspace
Description: TODO: Package description
